[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] maint: update to latest gnulib



On 05/27/2016 09:40 AM, Cole Robinson wrote:

> 
> FWIW On Fedora 24 I'm not getting the issue that others are reporting, but
> there's this new build warning/error after the gnulib update:
> 
> In file included from ../include/libvirt/libvirt.h:38:0,
>                  from ./internal.h:58,
>                  from util/virlog.h:25,
>                  from util/virarch.c:26:
> ../include/libvirt/libvirt-domain.h:1881:57: error: result of '1 << 31'
> requires 33 bits to represent, but 'int' only has 32 bits
> [-Werror=shift-overflow=]
>      VIR_CONNECT_GET_ALL_DOMAINS_STATS_ENFORCE_STATS = 1 << 31, /* enforce
> requested stats */

That's because the new gnulib enables new gcc warnings, if you have
bleeding edge gcc (the way F24 does).  In this particular case, a fix
would be using 1U << 31; but there may be other new warnings we need to
silence.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]